#include <iostream>
#include "RegUtil.h"

using namespace std;

// Demonstrate the RegUtil class
void main()
{
  char regKey[] = "HKEY_CURRENT_USER\\Software\\Testing";
  
  // create a couple of registry values in our key
  RegUtil::setRegValue( regKey, "A Key", "Hello Registry" );
  RegUtil::setRegValue( regKey, "Another Key", 10 );

  // retrieve those values
  char testRead[ MAX_STRING_LEN ];
  RegUtil::getRegValue( regKey, "A Key", testRead );
  RegUtil::getRegValue( regKey, "Another Key", testRead );

  // change a value
  RegUtil::setRegValue( regKey, "A Key", "Goodbye Cruel Registry" );

  // delete a value and a key (be careful when doing this!!!)
  RegUtil::deleteRegValue( regKey, "A Key" );
  RegUtil::deleteRegKey( regKey );
}